# $Revision: 1.33 $, $Date: 2010/04/29 16:03:37 $
Summary:	ConsoleKit for PolicyKit
Summary(pl.UTF-8):	ConsoleKit dla PolicyKit
Name:		ConsoleKit
Version:	0.4.1
Release:	5
License:	GPL v2+
Group:		Libraries
Source0:	http://www.freedesktop.org/software/ConsoleKit/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	48eda4483cc97841d5f88e8e003eb6d7
Patch0:		%{name}-reorder-initialization.patch
URL:		http://www.freedesktop.org/wiki/Software/ConsoleKit
BuildRequires:	dbus-glib-devel >= 0.30
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.8.0
# for <sys/inotify.h>
BuildRequires:	glibc-devel >= 6:2.4
BuildRequires:	libtool >= 1.4
BuildRequires:	pam-devel >= 0.80
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.92
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel >= 1.0.0
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib >= 0.30
Requires:	filesystem >= 3.0-25
Requires:	glib2 >= 1:2.8.0
Requires:	rc-scripts
Requires:	xorg-lib-libX11 >= 1.0.0
Suggests:	udev-acl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ConsoleKit is a framework for defining and tracking users, login
sessions, and seats.

%description -l pl.UTF-8
ConsoleKit to szkielet do definiowania i śledzenia użytkowników, sesji
logowania i siedzib.

%package libs
Summary:	ConsoleKit library
Summary(pl.UTF-8):	Biblioteka ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Libraries
Requires:	dbus-libs >= 0.30
Conflicts:	ConsoleKit < 0.1-0.20061203.6

%description libs
ConsoleKit library.

%description libs -l pl.UTF-8
Biblioteka ConsoleKit.

%package dirs
Summary:	ConsoleKit directories
Summary(pl.UTF-8):	Katalogi ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Libraries
Conflicts:	ConsoleKit < 0.4.1-2

%description dirs
ConsoleKit directories.

%description dirs -l pl.UTF-8
Katalogi ConsoleKit.

%package devel
Summary:	Header files for ConsoleKit
Summary(pl.UTF-8):	Pliki nagłówkowe ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 0.30

%description devel
Header files for ConsoleKit.

%description devel -l pl.UTF-8
Pliki nagłówkowe ConsoleKit.

%package static
Summary:	Static ConsoleKit library
Summary(pl.UTF-8):	Statyczna biblioteka ConsoleKit
License:	AFL v2.1 or GPL v2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ConsoleKit library.

%description static -l pl.UTF-8
Statyczna biblioteka ConsoleKit.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-docbook-docs \
	--enable-pam-module \
	--enable-static \
	--with-pam-module-dir=/%{_lib}/security \
	--with-pid-file=%{_localstatedir}/run/console-kit-daemon.pid

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

# use triggerun not triggerpostun - old init script is needed to stop service
%triggerun -- ConsoleKit < 0.2.4
%service -q ConsoleKit stop
/sbin/chkconfig --del ConsoleKit

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/ck-history
%attr(755,root,root) %{_bindir}/ck-launch-session
%attr(755,root,root) %{_bindir}/ck-list-sessions
%attr(755,root,root) %{_sbindir}/ck-log-system-restart
%attr(755,root,root) %{_sbindir}/ck-log-system-start
%attr(755,root,root) %{_sbindir}/ck-log-system-stop
%attr(755,root,root) %{_sbindir}/console-kit-daemon
%attr(755,root,root) %{_libdir}/ck-collect-session-info
%attr(755,root,root) %{_libdir}/ck-get-x11-server-pid
%attr(755,root,root) %{_libdir}/ck-get-x11-display-device
%attr(755,root,root) %{_prefix}/lib/ConsoleKit/scripts/*
%attr(755,root,root) /%{_lib}/security/pam_ck_connector.so
%{_datadir}/polkit-1/actions/org.freedesktop.consolekit.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.ConsoleKit.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.Manager.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.Seat.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ConsoleKit.Session.xml
%{_sysconfdir}/dbus-1/system.d/ConsoleKit.conf
%{_sysconfdir}/ConsoleKit/seats.d/00-primary.seat
%{_mandir}/man8/pam_ck_connector.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libck-connector.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libck-connector.so.0

%files dirs
%defattr(644,root,root,755)
%dir %{_sysconfdir}/ConsoleKit
%dir %{_sysconfdir}/ConsoleKit/run-session.d
%dir %{_sysconfdir}/ConsoleKit/run-seat.d
%dir %{_sysconfdir}/ConsoleKit/seats.d
%dir %{_prefix}/lib/ConsoleKit/run-session.d
%dir %{_prefix}/lib/ConsoleKit/run-seat.d
%dir %{_prefix}/lib/ConsoleKit/scripts
%dir %{_localstatedir}/run/ConsoleKit
%dir %{_localstatedir}/log/ConsoleKit

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libck-connector.so
%{_libdir}/libck-connector.la
%dir %{_includedir}/ConsoleKit
%dir %{_includedir}/ConsoleKit/ck-connector
%{_includedir}/ConsoleKit/ck-connector/*.h
%{_pkgconfigdir}/ck-connector.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libck-connector.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ConsoleKit.spec,v $
Revision 1.33  2010/04/29 16:03:37  blues
- rel.5 - suggests udev-acl

Revision 1.32  2010/03/17 07:49:14  megabajt
- added -reorder-initialization.patch
- release 4

Revision 1.31  2009/11/29 22:36:12  blues
- rel.3 - move directories to dirs subpackage. udev-core requires
  /usr/lib/ConsoleKit/run-seat.d, don't follow that.

Revision 1.30  2009/11/27 01:20:30  sparky
- BR: docbook-dtd412-xml

Revision 1.29  2009/10/12 13:32:26  megabajt
- package missing dirs
- release 2

Revision 1.28  2009/10/01 14:20:19  baggins
- 0.4.1

Revision 1.27  2009/08/20 08:42:17  patrys
- 0.3.1

Revision 1.26  2009/08/06 14:04:18  patrys
- fix build
- rel 6

Revision 1.25  2009/06/28 21:55:12  patrys
- move session dir to filesystem
- rel 5

Revision 1.24  2009/05/18 11:47:08  megabajt
- allow GetSessions in dbus policy
- release 4

Revision 1.23  2009/05/15 15:22:06  megabajt
- updated -dbus.patch
- release 3

Revision 1.22  2008/12/08 16:28:26  patrys
- add the dbus patch to make it work
- fixes CK for dbus 1.2.6 with CVE-2008-4311
- rel 2

Revision 1.21  2008/08/20 18:27:20  megabajt
- updated to 0.3.0

Revision 1.20  2008/08/20 17:18:03  qboosh
- one /var/log/ConsoleKit dir is enough

Revision 1.19  2008/08/20 14:32:09  patrys
- package the log dir for history

Revision 1.18  2008-04-21 16:25:14  megabajt
- updated to 0.2.10

Revision 1.17  2008-02-16 11:22:38  qboosh
- consistent order

Revision 1.16  2008-02-16 04:02:41  patrys
- one more missing dir

Revision 1.15  2008-02-16 04:00:46  patrys
- add missing dirs

Revision 1.14  2008-02-06 17:06:05  qboosh
- updated to 0.2.7 (log moved from /var/run to /var/log)

Revision 1.13  2008-01-25 22:45:41  qboosh
- trigger added

Revision 1.12  2008-01-23 22:33:14  patrys
- 0.2.4
- started by DBus on demand
- TODO: add trigger to remove service when updating from < 0.2.4

Revision 1.11  2007-10-30 23:08:26  qboosh
- more versions

Revision 1.10  2007/10/19 18:23:28  megabajt
- updated to 0.2.3
- removed obsolete SIGINT and xdm patches

Revision 1.9  2007/10/04 15:34:13  patrys
- no gdm user in PLD

Revision 1.8  2007/09/17 23:13:38  aflinta
- does not build well on SMP

Revision 1.7  2007/06/02 19:40:15  qboosh
- packaging looks sane now, removed todo

Revision 1.6  2007/05/31 20:07:49  qboosh
- files cleanup, added ChangeLog to doc

Revision 1.5  2007/05/31 16:28:58  deejay1
- adapterized
- added misc fixes from git master

Revision 1.4  2007/05/31 16:20:02  deejay1
- up to 0.2.1

Revision 1.3  2007/03/29 21:23:26  qboosh
- added doc, desc taken from README

Revision 1.2  2007/03/29 21:21:21  qboosh
- revised deps, pam files cleanup

Revision 1.1  2007/03/14 16:53:11  czarny
- new based on PolicyKit
